// SimpleEditorView.h : interface of the CSimpleEditorView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_SIMPLEEDITORVIEW_H__2421F5FC_F147_4694_9153_CF59215DAF34__INCLUDED_)
#define AFX_SIMPLEEDITORVIEW_H__2421F5FC_F147_4694_9153_CF59215DAF34__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CSimpleEditorView : public CBCGPEditView
{
protected: // create from serialization only
	CSimpleEditorView();
	DECLARE_DYNCREATE(CSimpleEditorView)

// Attributes
public:
	CSimpleEditorDoc* GetDocument();

protected:
	CImageList			m_imgList;
	CFont				m_Font;
		
// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSimpleEditorView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CSimpleEditorView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CSimpleEditorView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	afx_msg void OnEditTogglebookmark();
	afx_msg void OnEditNextbookmark();
	afx_msg void OnEditPreviousbookmark();
	afx_msg void OnEditFindprev();
	afx_msg void OnEditFindnext();
	//}}AFX_MSG
	afx_msg void OnUpdateCursorPos(CCmdUI *pCmdUI);
	DECLARE_MESSAGE_MAP()

private:
	void ResetDefaultFont();
	BOOL RestoreDefaultData();
};

#ifndef _DEBUG  // debug version in SimpleEditorView.cpp
inline CSimpleEditorDoc* CSimpleEditorView::GetDocument()
   { return (CSimpleEditorDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SIMPLEEDITORVIEW_H__2421F5FC_F147_4694_9153_CF59215DAF34__INCLUDED_)
